Ticket #1203 (closed defect: fixed)

Opened 8 years ago

Last modified 8 years ago

resolution = upgrade-blocked-before creates a fake dependency

Reported by: sardemff7 Owned by:
Priority: Sometime Milestone:
Component: clients/cave Version: 0.68.0
Keywords: Cc:
Blocked By: Blocking:
Distribution: Exherbo

Description

This issue is encountered on a pure GTK+ 3 installation. You get gtk+:2 installed when you resolve gtk+:3, then cave purge uninstalls it.

(Affects scm too)

Test case:

# test-1.exheres-0
SLOT="1"
PLATFORMS="*"
# test-2.exheres-0
SLOT="2"
PLATFORMS="*"
DEPENDENCIES="!${CATEGORY}/${PN}:1 [[ resolution = upgrade-blocked-before ]]"

Change History

comment:1 Changed 8 years ago by ciaranm

  • Status changed from new to closed
  • Resolution set to fixed
Note: See TracTickets for help on using tickets.